Installing PHP on Windows Vista with FastCGI

By Ruslan Yakushev

December 18, 2007

FastCGI support in Windows Vista

Microsoft IIS 7.0 for Windows Vista SP1 now includes a built-in FastCGI component. To get detailed information on how to use FastCGI component to host PHP applications on Windows Server 2008 or Windows Vista SP1 refer to this article.

IIS7.0 included in Windows Vista (not SP1) does not include FastCGI component. In order to get FastCGI support on IIS7.0 in Windows Vista it is necessary to upgrade to Vista SP1.

Getting More Information

To discuss the FastCGI Support for IIS, or file bug reports, use the FastCGI forums:

To see a list of known issues with FastCGI in IIS, see known issues.

To get more information regarding running various PHP applications on IIS, see:



Discuss in IIS Forums